org.springframework.data.relational.core.dialect

## Class OracleDialect

- java.lang.Object
- - org.springframework.data.relational.core.dialect.AbstractDialect
  - - org.springframework.data.relational.core.dialect.AnsiDialect
    - - org.springframework.data.relational.core.dialect.OracleDialect

All Implemented Interfaces:
  Dialect

    public class OracleDialect
    extends AnsiDialect

An SQL dialect for Oracle.

Since:
  2.1
Author:
  Jens Schauder

### Field Summary

Fields
`static OracleDialect` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
`protected` `OracleDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IdGeneration` `getIdGeneration()`

### Methods inherited from class org.springframework.data.relational.core.dialect.AnsiDialect

`getArraySupport, getIdentifierProcessing, limit, lock`

### Methods inherited from class org.springframework.data.relational.core.dialect.AbstractDialect

`getAfterFromTable, getAfterOrderBy, getSelectContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.dialect.Dialect

`getLikeEscaper`

### Field Detail

#### INSTANCE

    public static final OracleDialect INSTANCE

Singleton instance.

### Constructor Detail

#### OracleDialect

    protected OracleDialect()

### Method Detail

#### getIdGeneration

    public IdGeneration getIdGeneration()